summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2010-03-05 11:44:45 +1100
committerAndrew Tridgell <tridge@samba.org>2010-03-05 11:54:36 +1100
commit8c7cf499abf880cd4915e1b831298feb8990245b (patch)
treedc8bafcedb167209b74592d65ecb92857c5db946 /source4/script
parent2d30f4fb4fd39fb0949cd948559725917f95742f (diff)
downloadsamba-8c7cf499abf880cd4915e1b831298feb8990245b.tar.gz
samba-8c7cf499abf880cd4915e1b831298feb8990245b.tar.bz2
samba-8c7cf499abf880cd4915e1b831298feb8990245b.zip
s4-python: allow us to have samba copies of python libraries we depend on
For python libraries like dns.resolver it is useful to be able to install a copy of the library with Samba. This set of functions allows us to do that while using the locally installed version if it is available Pair-Programmed-With: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/installmisc.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/source4/script/installmisc.sh b/source4/script/installmisc.sh
index 73dbdd996f..fecd1ebbf6 100755
--- a/source4/script/installmisc.sh
+++ b/source4/script/installmisc.sh
@@ -81,4 +81,8 @@ cp setup/provision.smb.conf.member $SETUPDIR || exit 1
cp setup/provision.smb.conf.standalone $SETUPDIR || exit 1
cp setup/dns_update_list $SETUPDIR || exit 1
+echo "Installing external python libraries"
+mkdir -p $PYTHONDIR/samba_external || exit 1
+cp -r scripting/python/samba_external/* $PYTHONDIR/samba_external/ || exit 1
+
exit 0